### 7.8.13 syz (letterplace)

`Syntax:`
  `syz (` ideal_expression `)`
  `syz (` module_expression `)`
`Type:`
  module
`Purpose:`
  computes the first syzygy (i.e., the module of relations of the given generators) bimodule of the ideal, resp. module.
  If `option(returnSB)` is set, a Groebner basis is returned, otherwise a generating set.
`Example:`

        LIB "freegb.lib";
        ring r = 0,(x,y),(c,Dp);
        ring R = freeAlgebra(r, 7, 2);
        ideal I = twostd(x*y*x + 1);
        I;
      ==> I[1]=x*y-y*x
      ==> I[2]=y*x*x+1
        module S = syz(I);
        print(S);
      ==> ncgen(1)*x*x,S[1,2],S[1,3],S[1,4],S[1,5],
      ==> S[2,1],      S[2,2],S[2,3],S[2,4],S[2,5]
        testSyz(I,S);
      ==> _[1]=0
      ==> _[2]=0
      ==> _[3]=0
      ==> _[4]=0
      ==> _[5]=0

See ideal; lift (letterplace); liftstd (letterplace); module; ncgen; option.

User manual for Singular version 4.4.1, 2025, generated by texi2html.